
QGIS Application - Feature request #10822

Print composer - allow tiled raster image exports for large resolution exports

2014-07-05 04:29 PM - baditaflorin -

Status: Reopened

Priority: Normal

Assignee:

Category: Map Composer/Printing

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 19198

Description

Please try a lower resolution papersize

I need to print 40000x35000 pixels images, i have 8 GB of RAM, and the image will need only 1.54 GB of Ram

How can i circumvent this warnign/error ?

History

#1 - 2014-07-05 05:17 PM - Nyall Dawson

- Status changed from Open to Closed

- Resolution set to fixed/implemented

You'll need to use a 64 bit build of QGIS to export an image that large.

#2 - 2014-07-06 12:57 AM - baditaflorin -

- File 64bits.jpg added

- Status changed from Closed to Reopened

That is the thing, that i have a 64 bits version

#3 - 2014-07-06 02:28 PM - Jürgen Fischer

- Category set to Map Composer/Printing

#4 - 2014-07-06 08:28 PM - Nyall Dawson

- Tracker changed from Bug report to Feature request

- Resolution deleted (fixed/implemented)

- Subject changed from Print composer - Trying to create image 35000x23622@300dpi may result in a memory overflow. to Print composer - allow tiled 

raster image exports for large resolution exports

Actually looks like there's a hard limit of 32767 for either the width or height. Neither dimension can exceed this size regardless of the RAM available. We'd

need to implement some form of "tiled" image exports to get around this.

#5 - 2014-07-07 09:12 AM - Giovanni Manghi

Nyall Dawson wrote:
Actually looks like there's a hard limit of 32767 for either the width or height. Neither dimension can exceed this size regardless of the RAM

available. We'd need to implement some form of "tiled" image exports to get around this.

it this limited implemented for all platforms? I remember that while Windows had always problems in exporting large maps objects/layouts Linux had

always performed well.

#6 - 2015-07-09 10:31 AM - Arthur Bogard

Giovanni Manghi wrote:

it this limited implemented for all platforms? I remember that while Windows had always problems in exporting large maps objects/layouts Linux had

always performed well.

I have Ubuntu 15.04 with QGIS 2.4 and also receive this error when attempting to export a file of dimensions: 213390 x 106696

My workaround is to export 32 separate tiles and then combine the tiles using GDAL.  Would be much easier if I could just export this from QGIS directly.

#7 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

Files

error_print_composer.jpg 197 KB 2014-07-05 baditaflorin -

64bits.jpg 143 KB 2014-07-05 baditaflorin -
